メインコンテンツへスキップ
PUT
/
crm
/
pipelines
/
2026-03
/
{objectType}
/
{pipelineId}
/
stages
/
{stageId}
Replace a pipeline stage
curl --request PUT \
  --url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId}/stages/{stageId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "displayOrder": 123,
  "label": "<string>",
  "metadata": {}
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "displayOrder": 123,
  "id": "<string>",
  "label": "<string>",
  "metadata": {},
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須
pipelineId
string
必須
stageId
string
必須

ボディ

application/json
displayOrder
integer<int32>
必須

The order for displaying this pipeline stage. If two pipeline stages have a matching displayOrder, they will be sorted alphabetically by label.

label
string
必須

A label used to organize pipeline stages in HubSpot's UI. Each pipeline stage's label must be unique within that pipeline.

metadata
object
必須

A JSON object containing properties that are not present on all object pipelines.

For deals pipelines, the probability field is required ({ "probability": 0.5 }), and represents the likelihood a deal will close. Possible values are between 0.0 and 1.0 in increments of 0.1.

For tickets pipelines, the ticketState field is optional ({ "ticketState": "OPEN" }), and represents whether the ticket remains open or has been closed by a member of your Support team. Possible values are OPEN or CLOSED.

レスポンス

successful operation

archived
boolean
必須

Whether the pipeline is archived.

createdAt
string<date-time>
必須

The date the pipeline stage was created. The stages on default pipelines will have createdAt = 0.

displayOrder
integer<int32>
必須

The order for displaying this pipeline stage. If two pipeline stages have a matching displayOrder, they will be sorted alphabetically by label.

id
string
必須

A unique identifier generated by HubSpot that can be used to retrieve and update the pipeline stage.

label
string
必須

A label used to organize pipeline stages in HubSpot's UI. Each pipeline stage's label must be unique within that pipeline.

metadata
object
必須

A JSON object containing properties that are not present on all object pipelines.

For deals pipelines, the probability field is required ({ "probability": 0.5 }), and represents the likelihood a deal will close. Possible values are between 0.0 and 1.0 in increments of 0.1.

For tickets pipelines, the ticketState field is optional ({ "ticketState": "OPEN" }), and represents whether the ticket remains open or has been closed by a member of your Support team. Possible values are OPEN or CLOSED.

updatedAt
string<date-time>
必須

The date the pipeline stage was last updated.

writePermissions
enum<string>
必須

Defines the level of write access for the pipeline stage, with possible values being CRM_PERMISSIONS_ENFORCEMENT, READ_ONLY, or INTERNAL_ONLY.

利用可能なオプション:
CRM_PERMISSIONS_ENFORCEMENT,
INTERNAL_ONLY,
READ_ONLY
archivedAt
string<date-time>

The date the pipeline was archived. archivedAt will only be present if the pipeline is archived.

最終更新日 2026年6月5日